--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: connect_retry
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: connect_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Device for dumping log for debugging
  name: debug_dev
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Destination site
  name: dest
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: protocol_retry_count
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Proxy site
  name: proxy
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: read_block_size
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: receive_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Requested protocol version
  name: requested_version
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: send_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Boolean value for Socket#sync
  name: socket_sync
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_config
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_peer_cert
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: test_loopback_http_response
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Deprecated. just for backward compatibility
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: StatusParseRegexp
  value: "%r(\\AHTTP/(\\d+\\.\\d+)\\s+(\\d\\d\\d)\\s*([^\\r\\n]+)?\\r?\\n\\z)"
- !ruby/object:RI::Constant 
  comment: 
  name: RS
  value: "\"\\r\\n\""
- !ruby/object:RI::Constant 
  comment: 
  name: BadResponse
  value: "::HTTPClient::BadResponseError"
full_name: HTTPClient::Session
includes: 
- !ruby/object:RI::IncludedModule 
  name: HTTPClient::Timeout
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: closed?
- !ruby/object:RI::MethodSummary 
  name: eof?
- !ruby/object:RI::MethodSummary 
  name: get_body
- !ruby/object:RI::MethodSummary 
  name: get_header
- !ruby/object:RI::MethodSummary 
  name: query
name: Session
superclass: Object
